org.apache.xmpbox.type

## Class AbstractStructuredType

- java.lang.Object
- - org.apache.xmpbox.type.AbstractField
  - - org.apache.xmpbox.type.AbstractComplexProperty
    - - org.apache.xmpbox.type.AbstractStructuredType

Direct Known Subclasses:
  CFAPatternType, ColorantType, DefinedStructuredType, DeviceSettingsType, DimensionsType, FlashType, FontType, JobType, LayerType, OECFType, PDFAFieldType, PDFAPropertyType, PDFASchemaType, PDFATypeType, ResourceEventType, ResourceRefType, ThumbnailType, VersionType, XMPSchema

    public abstract class AbstractStructuredType
    extends AbstractComplexProperty

### Field Summary

Fields
`protected static String` `STRUCTURE_ARRAY_NAME`

### Constructor Summary

Constructors
Constructor and Description
`AbstractStructuredType(XMPMetadata metadata)`
`AbstractStructuredType(XMPMetadata metadata, String namespaceURI)` Deprecated. use the longer constructor.
`AbstractStructuredType(XMPMetadata metadata, String namespaceURI, String fieldPrefix, String propertyName)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `addSimpleProperty(String propertyName, Object value)`
`ArrayProperty` `createArrayProperty(String propertyName, Cardinality type)`
`TextType` `createTextType(String propertyName, String value)`
`protected Calendar` `getDatePropertyAsCalendar(String fieldName)`
`String` `getNamespace()` Get the namespace URI of this entity
`String` `getPreferedPrefix()`
`String` `getPrefix()` Get the prefix of this entity
`protected String` `getPropertyValueAsString(String fieldName)`
`void` `setNamespace(String ns)`
`void` `setPrefix(String pf)`

### Methods inherited from class org.apache.xmpbox.type.AbstractComplexProperty

`addNamespace, addProperty, getAllNamespacesWithPrefix, getAllProperties, getArrayProperty, getContainer, getFirstEquivalentProperty, getNamespacePrefix, getProperty, removeProperty`

### Methods inherited from class org.apache.xmpbox.type.AbstractField

`containsAttribute, getAllAttributes, getAttribute, getMetadata, getPropertyName, removeAttribute, setAttribute, setPropertyName`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### STRUCTURE_ARRAY_NAME

    protected static final String STRUCTURE_ARRAY_NAME

See Also:
  Constant Field Values

### Constructor Detail

#### AbstractStructuredType

    public AbstractStructuredType(XMPMetadata metadata)

#### AbstractStructuredType

    @Deprecated
    public AbstractStructuredType(XMPMetadata metadata,
                                              String namespaceURI)

Deprecated. use the longer constructor.

Parameters:
  `metadata` -
  `namespaceURI` -

#### AbstractStructuredType

    public AbstractStructuredType(XMPMetadata metadata,
                                  String namespaceURI,
                                  String fieldPrefix,
                                  String propertyName)

### Method Detail

#### getNamespace

    public final String getNamespace()

Get the namespace URI of this entity

Specified by:
  `getNamespace` in class `AbstractField`
Returns:
  the namespace URI

#### setNamespace

    public final void setNamespace(String ns)

#### getPrefix

    public final String getPrefix()

Get the prefix of this entity

Specified by:
  `getPrefix` in class `AbstractField`
Returns:
  the prefix specified

#### setPrefix

    public final void setPrefix(String pf)

#### getPreferedPrefix

    public final String getPreferedPrefix()

#### addSimpleProperty

    protected void addSimpleProperty(String propertyName,
                                     Object value)

#### getPropertyValueAsString

    protected String getPropertyValueAsString(String fieldName)

#### getDatePropertyAsCalendar

    protected Calendar getDatePropertyAsCalendar(String fieldName)

#### createTextType

    public TextType createTextType(String propertyName,
                                   String value)

#### createArrayProperty

    public ArrayProperty createArrayProperty(String propertyName,
                                             Cardinality type)